import { NgModule } from "@angular/core";
import { NativeScriptRouterModule } from "nativescript-angular/router";
import { Routes } from "@angular/router";
import { NewChallengeComponent } from "./new-challenge/new-challenge.component";


const routes: Routes = [
    { path: "", redirectTo: "/new-challenge", pathMatch: "full" },
    { path: "new-challenge", component: NewChallengeComponent },
];

@NgModule({
    imports: [NativeScriptRouterModule.forRoot(routes)],
    exports: [NativeScriptRouterModule]
})
export class AppRoutingModule { }
